Bug 1655616 - [abrt] xfdesktop: g_malloc0(): xfdesktop killed by SIGABRT
Summary: [abrt] xfdesktop: g_malloc0(): xfdesktop killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfdesktop
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5200e1d090c26e78bc1a9ce9fbc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 15:04 UTC by Scott Cohen
Modified: 2019-06-18 03:45 UTC (History)
2 users (show)

Fixed In Version: xfdesktop-4.13.4-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-18 00:55:03 UTC


Attachments (Terms of Use)
File: backtrace (36.38 KB, text/plain)
2018-12-03 15:04 UTC, Scott Cohen
no flags Details
File: cgroup (341 bytes, text/plain)
2018-12-03 15:04 UTC, Scott Cohen
no flags Details
File: core_backtrace (14.10 KB, text/plain)
2018-12-03 15:04 UTC, Scott Cohen
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2018-12-03 15:04 UTC, Scott Cohen
no flags Details
File: dso_list (8.32 KB, text/plain)
2018-12-03 15:04 UTC, Scott Cohen
no flags Details
File: environ (4.10 KB, text/plain)
2018-12-03 15:04 UTC, Scott Cohen
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-03 15:04 UTC, Scott Cohen
no flags Details
File: maps (50.50 KB, text/plain)
2018-12-03 15:04 UTC, Scott Cohen
no flags Details
File: mountinfo (3.99 KB, text/plain)
2018-12-03 15:04 UTC, Scott Cohen
no flags Details
File: open_fds (1.04 KB, text/plain)
2018-12-03 15:04 UTC, Scott Cohen
no flags Details
File: proc_pid_status (1.34 KB, text/plain)
2018-12-03 15:04 UTC, Scott Cohen
no flags Details

Description Scott Cohen 2018-12-03 15:04:34 UTC
Version-Release number of selected component:
xfdesktop-4.13.2-20.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        xfdesktop --display :0.0 --sm-client-id 2a49acab3-495b-4afa-a738-d371bfb2f94b
crash_function: g_malloc0
executable:     /usr/bin/xfdesktop
journald_cursor: s=2682d9519b3c4e818e5621611d2cad7c;i=3b2dc;b=23b95394d5024303947f143c976b151e;m=1415426e161;t=57c1373e7b009;x=179bd6e0ef857b44
kernel:         4.18.18-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Scott Cohen 2018-12-03 15:04:38 UTC
Created attachment 1510967 [details]
File: backtrace

Comment 2 Scott Cohen 2018-12-03 15:04:38 UTC
Created attachment 1510968 [details]
File: cgroup

Comment 3 Scott Cohen 2018-12-03 15:04:39 UTC
Created attachment 1510969 [details]
File: core_backtrace

Comment 4 Scott Cohen 2018-12-03 15:04:40 UTC
Created attachment 1510970 [details]
File: cpuinfo

Comment 5 Scott Cohen 2018-12-03 15:04:41 UTC
Created attachment 1510971 [details]
File: dso_list

Comment 6 Scott Cohen 2018-12-03 15:04:42 UTC
Created attachment 1510972 [details]
File: environ

Comment 7 Scott Cohen 2018-12-03 15:04:43 UTC
Created attachment 1510973 [details]
File: limits

Comment 8 Scott Cohen 2018-12-03 15:04:44 UTC
Created attachment 1510974 [details]
File: maps

Comment 9 Scott Cohen 2018-12-03 15:04:45 UTC
Created attachment 1510975 [details]
File: mountinfo

Comment 10 Scott Cohen 2018-12-03 15:04:46 UTC
Created attachment 1510976 [details]
File: open_fds

Comment 11 Scott Cohen 2018-12-03 15:04:47 UTC
Created attachment 1510977 [details]
File: proc_pid_status

Comment 12 Scott Cohen 2019-01-11 15:01:11 UTC
Similar problem has been detected:

This happened a couple minutes after I logged in with xscreensaver. I also think there was a lot of swapping going on at the time, but I'm not sure.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        xfdesktop --display :0.0 --sm-client-id 240f7b40e-8779-43ac-b3be-fb414928b633
crash_function: g_malloc0
executable:     /usr/bin/xfdesktop
journald_cursor: s=4fc33c98ac2f432e895d7159936df6f7;i=10467;b=ed7d45e6519145199be6cdcc67d71074;m=dd05b84dc4;t=57f2fd60a4d7c;x=ff7cb82915f79762
kernel:         4.19.10-300.fc29.x86_64
package:        xfdesktop-4.13.2-20.fc29
reason:         xfdesktop killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Scott Cohen 2019-02-03 20:17:18 UTC
Similar problem has been detected:

I don't know what caused this.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        xfdesktop --display :0.0 --sm-client-id 294659ae1-e268-44b2-beeb-b797419385c9
crash_function: g_malloc0
executable:     /usr/bin/xfdesktop
journald_cursor: s=5cee89a16fe74a1d9b20ea325ac2e5fe;i=23cde;b=d7811a910f4245afb64fe2136cc23b50;m=10869eae0;t=580f07f82fba0;x=3a09a5e895cfbd46
kernel:         4.20.4-200.fc29.x86_64
package:        xfdesktop-4.13.2-20.fc29
reason:         xfdesktop killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Scott Cohen 2019-02-13 16:02:08 UTC
Similar problem has been detected:

I just logged in via xscreensaver, but none of my display settings changed this time.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfdesktop --display :0.0 --sm-client-id 294659ae1-e268-44b2-beeb-b797419385c9
crash_function: g_malloc0
executable:     /usr/bin/xfdesktop
journald_cursor: s=5cee89a16fe74a1d9b20ea325ac2e5fe;i=380bd;b=e34a212238ca432394adc826935e6c18;m=25320b1c46;t=581bda90daeb8;x=1020ce6d6e6fc40b
kernel:         4.20.6-200.fc29.x86_64
package:        xfdesktop-4.13.2-20.fc29
reason:         xfdesktop killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Scott Cohen 2019-02-14 00:45:59 UTC
Similar problem has been detected:

This happened after I logged in via xscreensaver. My multi-monitor settings weren't changed.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfdesktop --display :0.0 --sm-client-id 294659ae1-e268-44b2-beeb-b797419385c9
crash_function: g_malloc0
executable:     /usr/bin/xfdesktop
journald_cursor: s=5cee89a16fe74a1d9b20ea325ac2e5fe;i=3911a;b=6e7266f9def14ce2a5f9a465d832de08;m=44b5aa3f7;t=581cc552dfaf5;x=8967bed744ba4c6e
kernel:         4.20.6-200.fc29.x86_64
package:        xfdesktop-4.13.2-20.fc29
reason:         xfdesktop killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Scott Cohen 2019-02-19 15:47:58 UTC
Similar problem has been detected:

I think this happened after xscreensaver made my monitors sleep but before I logged in. When I logged in this morning, I found that my display configuration was in mirrored display mode, a black space was in xfce4-panel's place and on the far right side of my larger monitor. When I unchecked mirror displays (before I did that, there was a dash in the checkbox), my multi-monitor display position configuration reset to default.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfdesktop --display :0.0 --sm-client-id 294659ae1-e268-44b2-beeb-b797419385c9
crash_function: g_malloc0
executable:     /usr/bin/xfdesktop
journald_cursor: s=dddf5dc168fd4890a7e50216558b4952;i=4128;b=6e7266f9def14ce2a5f9a465d832de08;m=70b5c64bf8;t=58238bf99a2f5;x=fbe9bb7d13e7766b
kernel:         4.20.6-200.fc29.x86_64
package:        xfdesktop-4.13.2-20.fc29
reason:         xfdesktop killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Scott Cohen 2019-02-26 15:44:20 UTC
Similar problem has been detected:

 I turned on both my monitors, I think it was primary and then non-primary order, xscreensaver was still locked and I left it that way for 10 - 15 minutes or so, then when I came back, maybe I moved my mouse or something, but the problem was notified. My multi-monitor settings didn't reset ; however, the monitor set as primary was unset so both monitors were set as a non primary display when one was.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfdesktop --display :0.0 --sm-client-id 294659ae1-e268-44b2-beeb-b797419385c9
crash_function: g_malloc0
executable:     /usr/bin/xfdesktop
journald_cursor: s=dddf5dc168fd4890a7e50216558b4952;i=1152a;b=6e7266f9def14ce2a5f9a465d832de08;m=1055e2d008c;t=582cd68005789;x=65560ff372d874a0
kernel:         4.20.6-200.fc29.x86_64
package:        xfdesktop-4.13.2-20.fc29
reason:         xfdesktop killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Fedora Update System 2019-05-18 13:51:08 UTC
xfdesktop-4.13.4-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-40d6024781

Comment 19 Fedora Update System 2019-05-19 00:51:22 UTC
xfdesktop-4.13.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-40d6024781

Comment 20 Fedora Update System 2019-06-18 00:55:03 UTC
xfdesktop-4.13.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-06-18 03:45:56 UTC
xfdesktop-4.13.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.